## org.apache.lucene.store.je
Class JEIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.je.JEIndexInput

All Implemented Interfaces:
  java.lang.Cloneable

    public class JEIndexInput

extends IndexInput

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Field Summary
`protected Block` `block`
`protected JEDirectory` `directory`
`protected File` `file`
`protected long` `length`
`protected long` `position`

Constructor Summary
`protected` `JEIndexInput(JEDirectory directory, java.lang.String name)`

Method Summary
`java.lang.Object` `clone()` Returns a clone of this stream.
`void` `close()` Closes the stream to further operations.
`long` `getFilePointer()` Returns the current position in this file, where the next read will occur.
`long` `length()` The number of bytes in the file.
`byte` `readByte()` Reads and returns a single byte.
`void` `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
`void` `seek(long pos)` Sets current position in this file, where the next read will occur.

Methods inherited from class org.apache.lucene.store.IndexInput
`readBytes, readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### position

    protected long position

### length

    protected long length

### directory

    protected JEDirectory directory

### block

    protected Block block

### file

    protected File file

Constructor Detail

### JEIndexInput

    protected JEIndexInput(JEDirectory directory,
                           java.lang.String name)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from class: `IndexInput`
  Returns a clone of this stream.

  Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

  Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

  Overrides:
    `clone` in class `IndexInput`

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `IndexInput`
  Closes the stream to further operations.

  Specified by:
    `close` in class `IndexInput`
  Throws:
    `java.io.IOException`

### length

    public long length()

  Description copied from class: `IndexInput`
  The number of bytes in the file.

  Specified by:
    `length` in class `IndexInput`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Description copied from class: `IndexInput`
  Reads and returns a single byte.

  Specified by:
    `readByte` in class `IndexInput`
  Throws:
    `java.io.IOException`
  See Also:
    `IndexOutput.writeByte(byte)`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws java.io.IOException

  Description copied from class: `IndexInput`
  Reads a specified number of bytes into an array at the specified offset.

  Specified by:
    `readBytes` in class `IndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `java.io.IOException`
  See Also:
    `IndexOutput.writeBytes(byte[],int)`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Description copied from class: `IndexInput`
  Sets current position in this file, where the next read will occur.

  Specified by:
    `seek` in class `IndexInput`
  Throws:
    `java.io.IOException`
  See Also:
    `IndexInput.getFilePointer()`

### getFilePointer

    public long getFilePointer()

  Description copied from class: `IndexInput`
  Returns the current position in this file, where the next read will occur.

  Specified by:
    `getFilePointer` in class `IndexInput`
  See Also:
    `IndexInput.seek(long)`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.